Subject: [Sigtran] Ambiguity between 3332 and 4446?

From: "Ramaiah, Chaitra M (STSD)" <[email-masked]>
Date: Fri, 24 Oct 2008 10:03:19 +0000

Hi All,

  I hope I have posted the question to the right group. If not, my advanced apologies and appreciate if someone could redirect me to the right group.

RFC 3332 says the following in section 4.3.4.4.1

4.3.4.4.1 IPSP Considerations (ASP Inactive)

   An IPSP may be considered in the ASP-INACTIVE state by a remote IPSP
   after an ASP Inactive or ASP Inactive Ack message has been received
   from it.

   Alternatively, an interchange of ASP Inactive messages from each end
   can be performed. This option follows the ASP state transition
   diagram and gives the additional advantage of selecting a particular
   AS to be deactivated from each end. It is especially useful when an
   IPSP is serving more than one AS. It would need four messages for
   completion.

RFC 4446 says the below for the same.

4.3.4.4.1.  IPSP Considerations (ASP Inactive)

   An IPSP may be considered in the ASP-INACTIVE state by a remote IPSP
   after an ASP Inactive or ASP Inactive Ack message has been received
   from it.

   Alternatively, when using IPSP DE model, an interchange of ASP
   Inactive messages from each end MUST be performed.  Four messages are
   needed for completion.

Assume that double exchange mode is used. If I have a 3332 implementation on one end and 4446 implementation on the other end, if the 3332 implementation chooses not to send the ASP Inactive message after it has received the ASP Inactive message from the other end (because it is not mandated by 3332, quoted as "Alternatively, an interchange of ASP Inactive messages from each end can be performed" from 3332), the 4446 will always wait for the ASP Inactive message (because it is mandated) which 3332 will never send.

Have I misunderstood or misinterpreted the clauses? Or do you think there genuinely exists an ambiguity and that both RFCs are incompatible in the above mentioned scenario?

Thanks in advance for your help.

Regards,
Chaitra

_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 24 Oct 2008 05:27:01 -0600

Chaitra,

I assume you mean RFC 4666 rather than RFC 4446.

If you look at the very top of the first page of RFC 4666,
you will see the line:

> Obsoletes: 3332

I think that line is self-explanatory.

--brian

Ramaiah, Chaitra M (STSD) wrote:           (Fri, 24 Oct 2008 10:03:19)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ramaiah, Chaitra M (STSD)" <[email-masked]>
Date: Fri, 24 Oct 2008 15:22:11 +0000

Hi Brian,

  My apologies with the number goof up. I agree that the RFC 3332 is obsolete, but in spite of that are we not supposed to be compatible with the preceding RFCs assuming that not everyone would have upgraded to the latest RFCs? The successor RFC would probably have more features and errata addressed from the predecessor, but still it should be backward compatible I feel.

Please let me know whether you agree/disagree with me.

Regards,
Chaitra

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Friday, October 24, 2008 4:57 PM
To: Ramaiah, Chaitra M (STSD)
Cc: [email-masked]
Subject: Re: [Sigtran] Ambiguity between 3332 and 4446?

Chaitra,

--brian

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 24 Oct 2008 09:56:55 -0600

Chaitra,

There is no requirement for backward compatability between RFCs, and none is provided.

--brian

Ramaiah, Chaitra M (STSD) wrote:                                (Fri, 24 Oct 2008 15:22:11)
> Hi Brian,
> 
>   My apologies with the number goof up. I agree that the RFC 3332 is obsolete, but in spite of
>   that are we not supposed to be compatible with the preceding RFCs assuming that not everyone
>   would have upgraded to the latest RFCs? The successor RFC would probably have more features and
>   errata addressed from the predecessor, but still it should be backward compatible I feel.
>

---

From: "Adnan Hasnain Alam" <[email-masked]>
Date: Fri, 24 Oct 2008 22:44:17 +0530

Chaitra,

If I take your example where 4666-side has sent the ASP-Inactive
message and 3332-side does not think that it needs to send the ASP
Inactive message. In such a case, the 4666-side will think that
3332-side is still active for traffic. Any DATA sent from 4666-side to
3332-side will result in an ERROR. The layer manager at the 4666-side
will have all the information it needs to mark 3332-side as inactive
(for the correct RC).

All the best,

Adnan